package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 钱包提现配置对象 withdrawal_config
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class WithdrawalConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 提现标题 */
    @Excel(name = "提现标题")
    private String withdrawalTitle;

    /** 提现文本 */
    @Excel(name = "提现文本")
    private String withdrawalText;

    /** 提现消息弹窗文本 */
    @Excel(name = "提现消息弹窗文本")
    private String withdrawalMessage;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWithdrawalTitle(String withdrawalTitle) 
    {
        this.withdrawalTitle = withdrawalTitle;
    }

    public String getWithdrawalTitle() 
    {
        return withdrawalTitle;
    }
    public void setWithdrawalText(String withdrawalText) 
    {
        this.withdrawalText = withdrawalText;
    }

    public String getWithdrawalText() 
    {
        return withdrawalText;
    }
    public void setWithdrawalMessage(String withdrawalMessage) 
    {
        this.withdrawalMessage = withdrawalMessage;
    }

    public String getWithdrawalMessage() 
    {
        return withdrawalMessage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("withdrawalTitle", getWithdrawalTitle())
            .append("withdrawalText", getWithdrawalText())
            .append("withdrawalMessage", getWithdrawalMessage())
            .toString();
    }
}
